POST
/
v1
/
cdrs
Search transcriptions
curl --request POST \
  --url https://api.wavix.com/v1/cdrs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "placed",
  "from": "2023-08-01",
  "to": "2023-08-31",
  "from_search": "4478012",
  "to_search": "44206723",
  "sip_trunk": "87095",
  "min_duration": 10,
  "transcription": {
    "agent": {
      "must": [
        "Hello",
        "Thank you"
      ],
      "match": [
        "Nope",
        "Maybe"
      ],
      "exclude": [
        "Richard",
        "Issue resolved"
      ]
    },
    "client": {
      "must": [
        "Hello",
        "Thank you"
      ],
      "match": [
        "Nope",
        "Maybe"
      ],
      "exclude": [
        "Richard",
        "Issue resolved"
      ]
    },
    "any": {
      "must": [
        "Hello",
        "Thank you"
      ],
      "match": [
        "Nope",
        "Maybe"
      ],
      "exclude": [
        "Richard",
        "Issue resolved"
      ]
    }
  },
  "uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
  "disposition": "answered",
  "page": 1,
  "per_page": 25
}
'
{
  "items": [
    {
      "answered_by": "human",
      "date": "2023-08-21T06:43:36.000Z",
      "from": "14302287001",
      "to": "33170363950",
      "disposition": "answered",
      "duration": 6,
      "destination": "France",
      "per_minute": "0.027",
      "charge": "example",
      "sip_trunk": "32882",
      "forward_fee": "0.0",
      "uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
      "call_id": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
      "parent_uuid": "99df5ffd-962a-410f-bcce-d08f1f7f328c",
      "transcription": {
        "uuid": "40d6f322-048d-490b-95c7-4fc5c76a74db",
        "url": "https://api.wavix.com/v1/cdrs/40d6f322-048d-490b-95c7-4fc5c76a74db/transcription?appid=secret"
      }
    }
  ],
  "pagination": {
    "current_page": 2,
    "per_page": 25,
    "total": 101,
    "total_pages": 5
  }
}

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Body

application/json
type
enum<string>
required

Filters by call type. One of placed (outbound calls dialed by the account) or received (inbound calls answered by the account).

Available options:
placed,
received
Example:

"placed"

from
string<date>
required

Start date for call search in YYYY-MM-DD format.

Example:

"2023-08-01"

to
string<date>
required

End date for call search in YYYY-MM-DD format.

Example:

"2023-08-31"

Originating phone number to filter results. Accepts full or partial number.

Example:

"4478012"

Destination phone number to filter results. Accepts full or partial number.

Example:

"44206723"

sip_trunk
string

SIP trunk login to filter outbound calls. Ignored for inbound calls.

Example:

"87095"

min_duration
integer<int32>

Minimum call duration in seconds.

Example:

10

transcription
TranscriptionFilter · object
uuid
string

Call ID.

Example:

"99df5ffd-962a-410f-bcce-d08f1f7f328c"

disposition
enum<string>

Call disposition to filter results. If omitted, returns only answered calls. Allowed values: answered, noanswer, busy, failed, all. Use all to return calls regardless of their disposition.

Available options:
answered,
noanswer,
busy,
failed,
all
page
integer<int32>
default:1

Page number to retrieve.

Example:

1

per_page
integer<int32>
default:25

Number of records per page.

Example:

25

Response

Returns a paginated list of matching CDRs with their transcriptions.

items
CDRWithTranscription · object[]
required

List of CDRs with transcription links.

pagination
Pagination · object
required